import { closeBrackets } from '../../../node_modules/@codemirror/autocomplete/dist/index.js';
import { history, defaultKeymap, historyKeymap } from '../../../node_modules/@codemirror/commands/dist/index.js';
import { syntaxHighlighting, defaultHighlightStyle } from '../../../node_modules/@codemirror/language/dist/index.js';
import { highlightSpecialChars, drawSelection, keymap } from '../../../node_modules/@codemirror/view/dist/index.js';

const keyBindings = [
  ...defaultKeymap,
  ...historyKeymap
];
const minimalSetup = (() => [
  highlightSpecialChars(),
  history(),
  drawSelection(),
  closeBrackets(),
  syntaxHighlighting(defaultHighlightStyle, { fallback: true }),
  keymap.of(keyBindings)
])();

export { minimalSetup };
//# sourceMappingURL=codemirror-basic-setup.js.map
